<?php 
namespace ElementPress\Core;
/* 
initiate all function here
*/
class Handler_Widget{
    /* 
    wordpress initiate function
    */
    public function wp_init(){
        return false;
    }
    /* 
    get widget name
    */
    static function get_name() {
        return false;
    }
    /* 
    get widget title
    */
    static function get_title() {
        return false;
    }
    /* 
    get widget icon
    */
    static function get_icon() {
        return false;
    }
    /* 
    get widget category
    */
    static function get_categories() {
        return false;
    }
    /* 
    get widget directory
    */
    static function get_dir() {
        return false;
    }
    /* 
    get widget url
    */
    static function get_url() {
        return false;
    }
    /* 
    get widget register api
    */
    public function register_api(){
        return false;
    }
    /* 
    get widget inline js
    */
    public function inline_js(){
        return false;
    }
    /* 
    get widget inline css
    */
    public function inline_css(){
        return false;
    }
    /* 
   get widget sass 
    */
    public function sass(){
        return false;
    }
    /* 
    get widget scripts
    */
    public function scripts(){
        return false;
    }
}